[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.TextLineBreakStyle

Determines which line breaks to use in the Text property

## Declaration

Source position: classesh.inc line 788

`public property TStrings.TextLineBreakStyle : TTextLineBreakStyle read GetLBS write SetLBS;`

## Description

TextLineBreakStyle determines which linebreak style is used when constructing the Text property: the same rules are used as in the writing to text files:

tlbsLF
  Lines are separated with a linefeed character #10.
tlbsCRLF
  Lines are separated with a carriage-return/linefeed character pair: #13#10.
tlbsCR
  Lines are separated with a carriage-return character #13.

It has no effect when setting the text property.

## See also

Text |  | Contents of the list as one big string.